body {
    direction: ltr;
    margin: 0;
    background: linear-gradient(224deg, #a513d5d9, #fd67cfc7, #6687ff);
    font-family: "Roboto Slab", serif;
    font-weight: 600;
    box-sizing: border-box;
    font-style: normal;
    height: 100vh;
    background-repeat: no-repeat;
}

.logo {
    text-align: center;
    color: white;
    font-size: 23px;
    font-weight: bold;
}

h1 {

    position: relative;
    left: 2rem;
    border-radius: 8px;
    padding: 0px 9px;
    font-size: 23px;
    color: #ffffff;
    width: fit-content;
    background-color: #2575fc;
    box-shadow: 0 0 6px black;
    direction: ltr;
}

.hamburger {
    display: none;
}

.form-section {
    display: flex;
    margin: 15px auto;
    text-align: center;
    justify-content: center;
}

.shop a {
    position: relative;
    text-decoration: none;
    left: 33rem;
    font-size: 25px;
}

#up-form {
    display: grid;
    text-align: start;
    padding: 10px;
}

.navbar {
    box-shadow: 0px 0px 10px black;
    background-color: white;
    text-align: center;
    display: flex;
    align-items: center;
    flex-direction: row;
    align-content: stretch;
    justify-content: flex-start;
    z-index: 1;
    height: 25px;
    margin: 0 auto;
    padding: 12px;
    border-bottom-left-radius: 10px;
    border-bottom-right-radius: 10px;
    transition: transform 0.5s ease-in-out;
}

.links {
    text-align: center;
    display: flex;
    align-items: center;
    flex-direction: row;
    height: 37px;
    transition: transform 0.5s ease-in-out;
}

.links a {
    position: relative;
    text-decoration: none;
    padding: 0px 10px;
    font-size: 20px;
    color: white;
    cursor: pointer;
    display: inline-block;
    font-weight: bold;
}

.links a::after {
    transform: scaleX(0);
    content: "";
    position: absolute;
    font-weight: bold;
    transform-origin: left;
    transition: transform 0.3s ease-in-out;
    color: white;
    left: 0;
    bottom: -5px;
    width: 100%;
    height: 2px;
    background-color: white;
}


.links a:hover::after {
    transform: scaleX(1);
}

.navbar img {
    width: 60px;
    height: 40px;
    transition: transform 0.5s ease-in-out, box-shadow 0.7s ease-in-out;

}

.navbar img:hover {
    transform: scale(1.1);
}

#up-btn {
    background: #2575fc;
    color: white;
    border: none;
    margin-top: 15px;
    /* padding: 305px 0px; */
    height: 37px;
    border-radius: 6px;
    cursor: pointer;
    font-size: 16px;
    transition: 0.3s;
}

#up-btn:hover {
    background: #6a11cb;
}

.links a:hover::after {
    transform: scaleX(1);
}

.navbar img {
    width: 60px;
    height: 40px;
    padding: 14px;
    transition: transform 0.5s ease-in-out, box-shadow 0.7s ease-in-out;

}

.navbar img:hover {
    transform: scale(1.1);
}


.login-box {
    box-shadow: 0px 0px 10px black;
    width: 100%;
    height: 50px;
    background-color: white;
    padding: 0px 17px;
    border-radius: 15px;
    display: flex;
    text-align: center;
    align-items: center;
    justify-content: start;
    gap: 5px;
}

.login-box h2 {
    color: white;
    padding: 0px 5px;
    text-align: center;
    color: #2575fc;
    font-size: 20px;
    /* height: 18px; */
    right: 10px;
    display: flex;
    position: relative;
    justify-content: center;
}

.form-container {
    background: #ffffff14;
    padding: 25px;
    border-radius: 12px;
    box-shadow: 0px 4px 18px 6px rgb(0 0 0 / 90%);
    width: 350px;
}

.form-container h2 {
    text-align: center;
    margin-bottom: 20px;
}

form label {
    display: block;
    margin: 10px 0 5px;
}

form input {
    padding: 10px;
    /* margin-bottom: 15px; */
    border-radius: 6px;
    height: 15px;
    border: 1px solid #ccc;
    outline: none;
    transition: border 0.3s;
}

form input:focus {
    border-color: #2575fc;
}

#myButton,
#sign-btn,
button {
    /* padding: 14px; */
    background: #2575fc;
    color: white;
    border: none;
    height: 30px;
    border-radius: 6px;
    cursor: pointer;
    font-size: 16px;
    transition: 0.3s;
}

button:hover {
    background: #6a11cb;
}

#sign-btn:hover {
    background: #6a11cb;
}

#myButton:hover {
    background: #6a11cb;
}

#cart-count {
    background: red;
    color: white;
    border-radius: 50%;
    padding: 2px 8px;
    font-size: 12px;
    vertical-align: super;
    margin-right: 5px;
}

.products-container {
    display: flex;
    justify-content: center;
    gap: 30px;
    flex-wrap: wrap;

}

.product-card {
    background-color: #ffffff6e;
    display: flex;
    border-radius: 16px;
    box-shadow: 0 8px 20px rgba(0, 0, 0, 0.1);
    width: 200px;
    text-align: center;
    transition: transform 0.3s ease;
    margin: 10px;
    padding: 10px;
    flex-direction: column;
    align-items: center;
}



.product-card img {
    width: 150px;
    height: 150px;
    border-radius: 12px;
    align-items: center;
}



.product-price {
    font-size: 18px;
    color: #e66012;
    margin-bottom: 12px;
}

.add-to-cart {
    background-color: #1916dfc5;
    color: white;
    border: none;
    padding: 10px 18px;
    border-radius: 8px;
    cursor: pointer;
    font-weight: bold;
    font-size: 16px;
    transition: background 0.3s ease;
}

.add-to-cart:hover {
    background-color: #e66012;
}

i.fa.fa-shopping-cart {
    color: #2575fc;
    font-size: 25px;
}

.items {
    display: flex;
    flex-wrap: wrap;
    margin: 50px auto;
}

h3,
p {
    margin: 5px;
}

.filter-buttons {
    text-align: center;
    margin: 30px 0;
    padding: 10px;
    background-color: #f8f9fa;
    border-radius: 8px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.05);
}

.filter-btn {
    background-color: #e9ecef;
    border: 1px solid #dee2e6;
    padding: 10px 20px;
    margin: 5px;
    border-radius: 25px;
    cursor: pointer;
    transition: all 0.3s ease;
    font-size: 16px;
    color: #495057;
}

.filter-btn:hover {
    background-color: #007bff;
    color: white;
    border-color: #007bff;
}

.filter-btn.active {
    background-color: #065bb6;
    color: white;
    border-color: #007bff;
    box-shadow: 0 2px 8px rgba(0, 123, 255, 0.3);
}

.hamburger {
    display: none;
    font-size: 28px;
    color: white;
    cursor: pointer;
}
.navbar a {
    text-decoration: none;
}

@media (max-width: 768px) {

    html,
    body {
        padding: 0;
        margin: 0;
        min-height: 100vh;
    }

    .navbar {
        justify-content: space-between;
        padding: 0;
        display: flex;
        flex-direction: row;
        margin: 0 auto;
        direction: rtl;
        height: 50px;

    }

    form input {
        direction: ltr;
        padding: 11px 0;
        gap: 2px;
        margin: 7px;
        border-radius: 6px;
        text-align: center;
        height: 10px;
        border: 1px solid #ccc;
        outline: none;
        transition: border 0.3s;
    }

    .links a {
        font-size: 18px;
        padding: 0 8px;
    }

    .section-two,
    .section-three,
    .section-four {
        width: 95%;
        height: auto;
        padding: 30px 15px;
        font-size: 20px;
    }

    .section-two h2,
    .section-three h2,
    .section-four h2 {
        width: 40%;
    }

    .gallery img {
        width: 45%;
        height: auto;
    }

    .cards {
        justify-content: center;
        flex-wrap: wrap;
    }

    .hamburger {
        display: block;
        padding: 10px;
        color: black;
    }

    .links {
        height: 0;
        border-radius: 15px;
        position: absolute;
        top: 52px;
        background: white;
        width: 200px;
        overflow: hidden;
        right: 4px;
        transition: height 0.5s ease;
        z-index: 1;
    }

    .links a {
        padding: 15px;
        border-bottom: 1px solid #555;
    }

    /* عند الفتح */
    .links.open {
        display: grid;
        height: 125px;
        position: absolute;
        width: 200px;
        border-radius: 15px;
        right: 4px;
        top: 52px;
        z-index: 1;
    }

    .filter-buttons {
        text-align: center;
        display: flex;
        padding: 7px 3px;
        margin: 3px;
        flex-wrap: wrap;
        align-items: center;
        align-content: center;
        flex-direction: row-reverse;
        gap: 5px;
    }

    .filter-btn {
        padding: 0px 12px;
        text-align: center;
        margin: 0px;
    }

    .storename {
        display: flex;
        justify-content: center;
    }

    #myButton {
        margin-bottom: 5px;
    }

    h1 {
        font-size: 15px;
        letter-spacing: 2px;
        padding: 5px 0;
        text-align: center;
        left: 0;
    }

    #sign-btn {

        height: 30px;

    }

    .items {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        /* عمودين */
        gap: 2px;
    }

    .product-card {
        background-color: #ffffff6e;
        display: flex;
        border-radius: 16px;
        box-shadow: 0 8px 20px rgba(0, 0, 0, 0.1);
        width: 140px;
        text-align: center;
        transition: transform 0.3s ease;
        margin: 10px;
        padding: 10px;
        flex-direction: column;
        align-items: center;
    }

    .product-card img {
        width: 100px;
        height: 100px;
        border-radius: 12px;
        align-items: center;
    }

    .add-to-cart {
        text-align: center;
        padding: 0 4px;
    }

    h3 {
        font-size: 12px;
        font-weight: bold;
    }

    p {
        font-size: 12px;
        font-weight: bold;
    }

}